Package org.apache.ignite.internal.processors.cache.distributed.near.consistency

## Class GridNearReadRepairAbstractFuture.IgniteConsistencyRepairFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.IgniteCheckedException
      - - org.apache.ignite.internal.processors.cache.distributed.near.consistency.GridNearReadRepairAbstractFuture.IgniteConsistencyRepairFailedException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  GridNearReadRepairAbstractFuture

    protected static final class GridNearReadRepairAbstractFuture.IgniteConsistencyRepairFailedException
    extends IgniteCheckedException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`IgniteConsistencyRepairFailedException​(Map<KeyCacheObject,​EntryGetResult> correctedMap, Set<KeyCacheObject> irreparableKeys)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<KeyCacheObject,​EntryGetResult>` `correctedMap()` Repairable keys.
`Set<KeyCacheObject>` `irreparableKeys()` Irreparable keys.

### Methods inherited from class org.apache.ignite.IgniteCheckedException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteConsistencyRepairFailedException

    public IgniteConsistencyRepairFailedException​(Map<KeyCacheObject,​EntryGetResult> correctedMap,
                                                  Set<KeyCacheObject> irreparableKeys)

Parameters:
  `correctedMap` - Repairable map.
  `irreparableKeys` - Irreparable keys.

### Method Detail

#### correctedMap

    public Map<KeyCacheObject,​EntryGetResult> correctedMap()

Repairable keys.

#### irreparableKeys

    public Set<KeyCacheObject> irreparableKeys()

Irreparable keys.